Firefox ESR 38.X crashes when loading the Java Applet




3 years ago
a year ago


(Reporter: boris8feldman, Unassigned)



38 Branch
Windows 7

Firefox Tracking Flags

(Not tracked)


(crash signature)



3 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:38.0) Gecko/20100101 Firefox/38.0
Build ID: 20150806103657

Steps to reproduce:

we are supporting the rich WEB element management application includes the Java applet
previously it used IE platform and functioned well
since the customer decide to migrate to Firefox ESR we are migrating the application to the new platform.
any Java applet loading cause to browser crash.

we are using:
Windows 7/8 64bit
Firefox ESR 38.2.0
Java Plug-in
Using JRE version 1.8.0_51-b16 Java HotSpot(TM) Client VM

Actual results:

after loading each applet refresh stacks the browser (crash report successfully sent)
the issue tested and occurs only on 38.1 ESR or 38.2  ESR

Expected results:

we tested the "simple" (non-esr)  platform and found that using 39.X or 40.X application functioning well without any changes (as it expected)
But since customer (big world-wide communication company) have a decision to use the ESR platform we need it supports the java applet as well as 39 or 40.


3 years ago
Severity: normal → blocker
Keywords: 64bit, crash
OS: Unspecified → Windows 7
Priority: -- → P1
Hardware: Unspecified → x86_64
Whiteboard: Firefox ESR
Please provide a crash id from about:crashes 

Do you get the crash with any applet ?
e.g. is crashing ?
Severity: blocker → critical
Keywords: 64bit
Priority: P1 → --
Component: Untriaged → Plug-ins


3 years ago
Flags: needinfo?(boris8feldman)
Whiteboard: Firefox ESR

Comment 2

3 years ago
please find below the crash reports you requested

bp-57c0f9ed-2661-4b91-a673-80b6b2150812 	8/12/2015	11:06 AM
bp-cc3cfae9-516a-4cf4-bb40-b92282150810 	8/10/2015	11:57 PM
bp-410d69ba-b51b-4d93-b957-1d89e2150810 	8/10/2015	7:15 PM
bp-236aa38a-b272-4fb9-9c27-776fd2150810 	8/10/2015	7:14 PM
bp-33683e46-61a0-42e7-8f85-636282150810 	8/10/2015	7:09 PM
bp-847e6520-0c20-47d4-906f-7c1092150810 	8/10/2015	7:09 PM
bp-215b81de-a660-4725-8837-eb8f22150809 	8/9/2015	11:02 PM
bp-af532a6c-2eda-45e7-9084-f9a142150806 	8/6/2015	7:56 PM
bp-438d9b25-3149-41b3-9399-019e02150805 	8/5/2015	4:14 PM
bp-35b8ed11-1d53-4390-a5fe-bbd462150802 	8/2/2015	8:28 PM
Flags: needinfo?(boris8feldman)
Crash Signature: [@ shutdownhang | WaitForMultipleObjectsEx | RealMsgWaitForMultipleObjectsEx | MsgWaitForMultipleObjects | npjp2.dll@0xdc32 ]

Comment 3

3 years ago
is it something I have to do?

Comment 4

3 years ago
A simple testcase would be really useful...

Comment 5

3 years ago
I think it's a duplication of "Bug 1140616 - crashes in GC with Java applet" (

Comment 6

3 years ago
Sorry I can't see 1140616 details because of access denied (You are not authorized to access bug 1140616.)
So I have no idea is this same behavior.

Anyway my point is that our customer insist to work with 38.X ESR platform (company IT policy) and it is not working.
In case 1140616 is the part of the 38 ESR plan we will recommend to use 40 and then back to 38 ESR.
if not, we have to recommend other solution: different FF version or even browser...

Comment 7

2 years ago
I can confirm this bug - it's very simple to reproduce:

1. Open (official Oracle Java Test applet)
2. If required, allow Java plugin to execute the applet;
3. Wait some seconds until the java applet has confirmed that you're using the current java version;
4. Navigate to any other URL. Firefox will crash on/after unloading the applet.

Windows 7 64bit
Firefox 38.4.0
Oracle Java 1.8.0_65-b17

Crash report:

I can't reproduce it with FF 42.0 on Linux. Just testing with Portable Version of FF 42 on Win7.

Comment 8

2 years ago
Additional info: no crash with FF 42.0 (Portable edition) on win7 64bit; no crash with FF 38.4.0 (ESR) 64bit on Linux. So, only (?) the current Win7 ESR version seems to be affected.
I'm marking this bug as WONTFIX per bug #1269807.

For more information see -
Last Resolved: a year ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.